org.apache.lucene.analysis.pt

## Class PortugueseLightStemmer

- java.lang.Object
- - org.apache.lucene.analysis.pt.PortugueseLightStemmer

    public class PortugueseLightStemmer
    extends Object

Light Stemmer for Portuguese

This stemmer implements the "UniNE" algorithm in: Light Stemming Approaches for the French, Portuguese, German and Hungarian Languages Jacques Savoy

### Constructor Summary

Constructors
Constructor and Description
`PortugueseLightStemmer()`

### Method Summary

Methods
`int` `stem(char[] s, int len)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PortugueseLightStemmer

    public PortugueseLightStemmer()

### Method Detail

#### stem

    public int stem(char[] s,
           int len)